// Code generated by go-swagger; DO NOT EDIT.

package backup_management

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	models "gitlab.com/kathra/kathra/kathra-services/kathra-runtimemanager/kathra-runtimemanager-go/kathra-runtimemanager-interface/models"
)

// GetBackupRuntimeEnvironmentsOKCode is the HTTP code returned for type GetBackupRuntimeEnvironmentsOK
const GetBackupRuntimeEnvironmentsOKCode int = 200

/*GetBackupRuntimeEnvironmentsOK Runtimes environments backups

swagger:response getBackupRuntimeEnvironmentsOK
*/
type GetBackupRuntimeEnvironmentsOK struct {

	/*
	  In: Body
	*/
	Payload []*models.RuntimeEnvironmentBackup `json:"body,omitempty"`
}

// NewGetBackupRuntimeEnvironmentsOK creates GetBackupRuntimeEnvironmentsOK with default headers values
func NewGetBackupRuntimeEnvironmentsOK() *GetBackupRuntimeEnvironmentsOK {

	return &GetBackupRuntimeEnvironmentsOK{}
}

// WithPayload adds the payload to the get backup runtime environments o k response
func (o *GetBackupRuntimeEnvironmentsOK) WithPayload(payload []*models.RuntimeEnvironmentBackup) *GetBackupRuntimeEnvironmentsOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the get backup runtime environments o k response
func (o *GetBackupRuntimeEnvironmentsOK) SetPayload(payload []*models.RuntimeEnvironmentBackup) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *GetBackupRuntimeEnvironmentsOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(200)
	payload := o.Payload
	if payload == nil {
		// return empty array
		payload = make([]*models.RuntimeEnvironmentBackup, 0, 50)
	}

	if err := producer.Produce(rw, payload); err != nil {
		panic(err) // let the recovery middleware deal with this
	}
}
